Skip to main content
`Ctrl`+`K`

# PetscViewerVUSetVecSeen

Sets the flag which indicates whether we have viewed a vector. This is usually called internally rather than by a user.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscViewerVUSetVecSeen(PetscViewer viewer, PetscBool vecSeen)

Not Collective

## Input Parameters

- viewer - The `PETSCVIEWERVU` `PetscViewer`

- vecSeen - The flag which indicates whether we have viewed a vector

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERVU`, `PetscViewerVUGetVecSeen()`

## Level

developer

## Location

src/sys/classes/viewer/impls/vu/petscvu.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages